Summary:        SSL/TLS network protocol analyzer
Name:           ssldump
Version:        1.8
Release:    1%{?dist}
License:        BSD-4-Clause AND BSD-2-Clause
URL:            https://github.com/adulau/ssldump
Source0:        https://github.com/adulau/ssldump/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        HOWTO
Patch0:         https://github.com/adulau/ssldump/commit/44e963d12e6b25ba6f430aae8cf1b8142bcbab33.patch#/ssldump-1.8-cmake.patch
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  libpcap-devel
BuildRequires:  libnet-devel
BuildRequires:  json-c-devel

%description
The ssldump program is an SSL/TLS network protocol analyzer. It identifies
TCP connections on the chosen network interface and attempts to interpret
them as SSL/TLS traffic. When ssldump identifies SSL/TLS traffic, ssldump
decodes the records and displays them in a textual form to stdout. And if
provided with the appropriate keying material, ssldump will also decrypt
the connections and display the application data traffic. This program is
based on tcpdump, a network monitoring and data acquisition tool.

%prep
%autosetup -p1
install -p -m 0644 %{SOURCE1} .

%build

%cmake \

%cmake_build

%install
%cmake_install

%files
%license COPYRIGHT
%doc ChangeLog CREDITS HOWTO README README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Sep 05 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-1
- initial build
